Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[kde-testing] and [kde-crazy] KDE4 overlays thread (part 5)
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3, ... 19, 20, 21  Next  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
benneque
Tux's lil' helper
Tux's lil' helper


Joined: 01 Dec 2007
Posts: 134

PostPosted: Tue Oct 05, 2010 7:49 pm    Post subject: Reply with quote

So... installing 4.5.2 right now.

As far as I can say QT 4.7 is making everything better and faster :)
The only misbehaviour I saw was with knetworkmanager-9999
Back to top
View user's profile Send private message
Ormaaj
Guru
Guru


Joined: 28 Jan 2008
Posts: 312

PostPosted: Tue Oct 05, 2010 8:32 pm    Post subject: Reply with quote

Having some trouble with Akregator 4.5.9999 in the last few days. Clicking feeds in the left pane causes either none or just a few of the feeds to show up on the right. Removing and re-adding the feed doesn't fix it. I'd chalk it up to QT4.7 but I've been running it for a very long time from qting-edge (i'm now on stable).
Back to top
View user's profile Send private message
devsk
Advocate
Advocate


Joined: 24 Oct 2003
Posts: 2726
Location: Bay Area, CA

PostPosted: Wed Oct 06, 2010 3:57 am    Post subject: Reply with quote

Same old question: Any ideas when do we see 4.5.2 in portage?
Back to top
View user's profile Send private message
genstorm
Advocate
Advocate


Joined: 05 Apr 2007
Posts: 2352
Location: Austria

PostPosted: Wed Oct 06, 2010 7:44 am    Post subject: Reply with quote

same old answer, it is in kde overlay, it will be moved into portage tree very soon.

edit: which is now :)
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
TheDodger
Tux's lil' helper
Tux's lil' helper


Joined: 12 Aug 2002
Posts: 126
Location: Hamburg

PostPosted: Wed Oct 06, 2010 1:37 pm    Post subject: Reply with quote

devsk wrote:
Same old question: Any ideas when do we see 4.5.2 in portage?


currently ... sync your overlay ... there is it ;)
Back to top
View user's profile Send private message
Shining Arcanine
Veteran
Veteran


Joined: 24 Sep 2009
Posts: 1110

PostPosted: Wed Oct 06, 2010 2:58 pm    Post subject: Reply with quote

TheDodger wrote:
devsk wrote:
Same old question: Any ideas when do we see 4.5.2 in portage?


currently ... sync your overlay ... there is it ;)


I am kicking myself for not synchronizing last night. I figured that there would be no significant updates, so I did not bother and just went to bed. Had I synchronized, I would be running KDE 4.5.2 right now.
Back to top
View user's profile Send private message
agent_jdh
Veteran
Veteran


Joined: 08 Aug 2002
Posts: 1776
Location: Scotland

PostPosted: Wed Oct 06, 2010 3:08 pm    Post subject: Reply with quote

Just compiled 4.5.2 - kde-base/kdeplasma-addons fails due to a problem with 4.5.0-fix_lancelot.patch, other than that there are no obvious problems.
_________________
Jingle Jangle Jewellery
Back to top
View user's profile Send private message
devsk
Advocate
Advocate


Joined: 24 Oct 2003
Posts: 2726
Location: Bay Area, CA

PostPosted: Wed Oct 06, 2010 3:09 pm    Post subject: Reply with quote

Code:
>>> Unpacking source...
 * Unpacking parts of kdebase-workspace-4.5.2.tar.bz2 to /var/tmp/portage/kde-base/qguiplatformplugin_kde-4.5.2/work ...
 [ ok ]
>>> Source unpacked in /var/tmp/portage/kde-base/qguiplatformplugin_kde-4.5.2/work
>>> Preparing source in /var/tmp/portage/kde-base/qguiplatformplugin_kde-4.5.2/work/qguiplatformplugin_kde-4.5.2 ...
sed: no input files
 * ERROR: kde-base/qguiplatformplugin_kde-4.5.2 failed:
 *   1200: Initial sed died
Anyone hit that? And this?:
Code:
[ 73%] [ 76%] Building CXX object applet/CMakeFiles/plasma_applet_yawp.dir/pageanimator.o
Building CXX object applet/CMakeFiles/plasma_applet_yawp.dir/panellayout.o
/var/tmp/portage/kde-misc/yawp-0.3.4/work/yawp-0.3.4/ions/ion_accuweather.cpp: In member function 'virtual void AccuWeatherIon::reset()':
/var/tmp/portage/kde-misc/yawp-0.3.4/work/yawp-0.3.4/ions/ion_accuweather.cpp:237:31: error: 'resetCompleted' was not declared in this scope
make[2]: *** [ions/CMakeFiles/ion_accuweather.dir/ion_accuweather.o] Error 1
make[1]: *** [ions/CMakeFiles/ion_accuweather.dir/all] Error 2
[ 79%] Building CXX object applet/CMakeFiles/plasma_applet_yawp.dir/statemachine.o
[ 82%] Building CXX object applet/CMakeFiles/plasma_applet_yawp.dir/utils.o
[ 85%] Building CXX object applet/CMakeFiles/plasma_applet_yawp.dir/weatherdataprocessor.o
[ 88%] Building CXX object applet/CMakeFiles/plasma_applet_yawp.dir/weatherservice.o
[ 91%] Building CXX object applet/CMakeFiles/plasma_applet_yawp.dir/yawp.o
[ 94%] Building CXX object applet/CMakeFiles/plasma_applet_yawp.dir/yawpday.o
[ 97%] Building CXX object applet/CMakeFiles/plasma_applet_yawp.dir/yawpdefines.o
[100%] Building CXX object applet/CMakeFiles/plasma_applet_yawp.dir/qrc_yawpresource.o
Linking CXX shared module ../lib/plasma_applet_yawp.so
[100%] Built target plasma_applet_yawp
make: *** [all] Error 2
Back to top
View user's profile Send private message
albright
Advocate
Advocate


Joined: 16 Nov 2003
Posts: 2061
Location: Near Toronto

PostPosted: Wed Oct 06, 2010 7:10 pm    Post subject: Reply with quote

Quote:
4.5.0-fix_lancelot.patch


that's fixed now (just re-synced) but my compositing is
now misbehaving - introducing weird corrupions of my
display (e.g. moving half an app window suddenly to the
left, or doing that to the panel). Of course, I'm using intel :cry:
_________________
.... there is nothing - absolutely nothing - half so much worth
doing as simply messing about with Linux ...
(apologies to Kenneth Graeme)
Back to top
View user's profile Send private message
duryodhana
n00b
n00b


Joined: 13 Jan 2008
Posts: 65

PostPosted: Wed Oct 06, 2010 7:21 pm    Post subject: Reply with quote

albright wrote:
Quote:
4.5.0-fix_lancelot.patch


my compositing is
now misbehaving - introducing weird corrupions of my
display (e.g. moving half an app window suddenly to the
left, or doing that to the panel). Of course, I'm using intel :cry:


The same thing happens here as kdm loads and ready to enter DE the screen turns black. :(
Probably plasma-desktop crashes.
nvidia-drivers-260.19.06
qt-4.7.0


Last edited by duryodhana on Wed Oct 06, 2010 8:41 pm; edited 1 time in total
Back to top
View user's profile Send private message
ssteinberg
Apprentice
Apprentice


Joined: 09 Jul 2010
Posts: 206
Location: Israel

PostPosted: Wed Oct 06, 2010 7:46 pm    Post subject: Reply with quote

Absolutely no issues so far with 4.5.2. Radeon os drivers.
Back to top
View user's profile Send private message
Boccaccio
Apprentice
Apprentice


Joined: 19 Jul 2005
Posts: 261

PostPosted: Wed Oct 06, 2010 7:54 pm    Post subject: Reply with quote

ssteinberg wrote:
Absolutely no issues so far with 4.5.2. Radeon os drivers.


Which version of qt?
Back to top
View user's profile Send private message
Finswimmer
Moderator
Moderator


Joined: 02 Sep 2004
Posts: 5348
Location: Langen (Hessen), Germany

PostPosted: Thu Oct 07, 2010 7:10 am    Post subject: Reply with quote

Hello,

does anyone know if there will be a 4.5 KDE-PIM ebuild?

Thank you
Tobi
_________________
Bitte auf Rechtschreibung, korrekte Formatierung und Höflichkeit achten!
Danke
Back to top
View user's profile Send private message
genstorm
Advocate
Advocate


Joined: 05 Apr 2007
Posts: 2352
Location: Austria

PostPosted: Thu Oct 07, 2010 11:23 am    Post subject: Reply with quote

No (additional) issues here, just my permanent OpenGL-composite-doesn't-like-specific-user problem. That is qt-4.6.3, intel-9999/2.6.36_rc7 kms

@Finswimmer: It seems KDE-PIM-4 "v2" won't be ready until KDE SC 4.6, but who knows. It's still in beta status, ebuilds should be in kde overlay but I didn't check.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
Finswimmer
Moderator
Moderator


Joined: 02 Sep 2004
Posts: 5348
Location: Langen (Hessen), Germany

PostPosted: Thu Oct 07, 2010 11:35 am    Post subject: Reply with quote

genstorm wrote:
@Finswimmer: It seems KDE-PIM-4 "v2" won't be ready until KDE SC 4.6, but who knows. It's still in beta status, ebuilds should be in kde overlay but I didn't check.


And what is kdepimlibs-4.5.2.tar.bz2 on ftp.kde.org?

Thank you
_________________
Bitte auf Rechtschreibung, korrekte Formatierung und Höflichkeit achten!
Danke
Back to top
View user's profile Send private message
genstorm
Advocate
Advocate


Joined: 05 Apr 2007
Posts: 2352
Location: Austria

PostPosted: Thu Oct 07, 2010 11:38 am    Post subject: Reply with quote

I'm not sure what it does, it's just libs that already get pulled in when you emerge kde-4.5 now. But it is not the KDE-PIM suite.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
duryodhana
n00b
n00b


Joined: 13 Jan 2008
Posts: 65

PostPosted: Thu Oct 07, 2010 12:45 pm    Post subject: Reply with quote

Finswimmer wrote:
genstorm wrote:
@Finswimmer: It seems KDE-PIM-4 "v2" won't be ready until KDE SC 4.6, but who knows. It's still in beta status, ebuilds should be in kde overlay but I didn't check.


And what is kdepimlibs-4.5.2.tar.bz2 on ftp.kde.org?

Thank you


only the kdepimlibs is available. All other packages are missing.
Back to top
View user's profile Send private message
ssteinberg
Apprentice
Apprentice


Joined: 09 Jul 2010
Posts: 206
Location: Israel

PostPosted: Thu Oct 07, 2010 3:18 pm    Post subject: Reply with quote

Boccaccio wrote:
ssteinberg wrote:
Absolutely no issues so far with 4.5.2. Radeon os drivers.


Which version of qt?


4.7
Back to top
View user's profile Send private message
xibo
Apprentice
Apprentice


Joined: 21 Aug 2007
Posts: 152
Location: moving between kubuntu and ubuntu kde edition

PostPosted: Sun Oct 10, 2010 8:25 am    Post subject: Reply with quote

hmmm, maybe my system is seriously broken, but media-libs/phonon-4.5.9999 needs the Q_DECLARE_METATYPE(PhononDeviceAccessList) macro's in the cpp files to be sedded out ( duplicate definition with one of the headers ), at least for me:

"fixed" ebuild
_________________
pjp wrote:
shickapooka800 wrote:
there are plenty of ubuntards in coffee shops around the globe these days.
Yes, but they're only smart enough to recognize they want to be popular, yet too stupid to recognize that it isn't a Mac.
Back to top
View user's profile Send private message
genstorm
Advocate
Advocate


Joined: 05 Apr 2007
Posts: 2352
Location: Austria

PostPosted: Sun Oct 10, 2010 11:12 am    Post subject: Reply with quote

Where do you get that version from, and when did you re-sync? media-libs/phonon-4.5.9999 isn't even available on this system (incl. kde-overlay).
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
cruzki123
Apprentice
Apprentice


Joined: 16 May 2008
Posts: 233

PostPosted: Mon Oct 11, 2010 6:05 pm    Post subject: Reply with quote

I have been having problems compilin koffice-9999 over tha last month.

Code:

/home/portage/portage/app-office/koffice-libs-9999/work/koffice-libs-9999/filters/kspread/excel/import/../sidewinder/cell.h:30:36: error fatal: generated/simpleParser.h: No existe el fichero o el directorio
compilación terminada.
make[2]: *** [filters/kspread/excel/import/CMakeFiles/excelimporttodoc.dir/ExcelImport.o] Error 1
make[2]: *** Se espera a que terminen otras tareas....
make[1]: *** [filters/kspread/excel/import/CMakeFiles/excelimporttodoc.dir/all] Error 2


It's fail allways in this point. I'm ussing kde-4.5 and qt-4.7, gcc-4.5.1. Have any idea?[/code]
Back to top
View user's profile Send private message
Shining Arcanine
Veteran
Veteran


Joined: 24 Sep 2009
Posts: 1110

PostPosted: Mon Oct 11, 2010 8:03 pm    Post subject: Reply with quote

cruzki123 wrote:
I have been having problems compilin koffice-9999 over tha last month.

Code:

/home/portage/portage/app-office/koffice-libs-9999/work/koffice-libs-9999/filters/kspread/excel/import/../sidewinder/cell.h:30:36: error fatal: generated/simpleParser.h: No existe el fichero o el directorio
compilación terminada.
make[2]: *** [filters/kspread/excel/import/CMakeFiles/excelimporttodoc.dir/ExcelImport.o] Error 1
make[2]: *** Se espera a que terminen otras tareas....
make[1]: *** [filters/kspread/excel/import/CMakeFiles/excelimporttodoc.dir/all] Error 2


It's fail allways in this point. I'm ussing kde-4.5 and qt-4.7, gcc-4.5.1. Have any idea?[/code]


GCC 4.5.1 is probably the issue. It still has trouble compiling software that would compile with GCC 4.4.5.
Back to top
View user's profile Send private message
ssteinberg
Apprentice
Apprentice


Joined: 09 Jul 2010
Posts: 206
Location: Israel

PostPosted: Mon Oct 11, 2010 10:57 pm    Post subject: Reply with quote

Shining Arcanine wrote:
cruzki123 wrote:
I have been having problems compilin koffice-9999 over tha last month.

Code:

/home/portage/portage/app-office/koffice-libs-9999/work/koffice-libs-9999/filters/kspread/excel/import/../sidewinder/cell.h:30:36: error fatal: generated/simpleParser.h: No existe el fichero o el directorio
compilación terminada.
make[2]: *** [filters/kspread/excel/import/CMakeFiles/excelimporttodoc.dir/ExcelImport.o] Error 1
make[2]: *** Se espera a que terminen otras tareas....
make[1]: *** [filters/kspread/excel/import/CMakeFiles/excelimporttodoc.dir/all] Error 2


It's fail allways in this point. I'm ussing kde-4.5 and qt-4.7, gcc-4.5.1. Have any idea?[/code]


GCC 4.5.1 is probably the issue. It still has trouble compiling software that would compile with GCC 4.4.5.


I didn't try live koffice myself, but most likely it is some bad commit to git. It is a header not found error, doubtful 4.4.5 will compile it. Try to give it a few days and pull new version.
Back to top
View user's profile Send private message
Biert
n00b
n00b


Joined: 14 Sep 2006
Posts: 45
Location: The Netherlands

PostPosted: Sun Oct 17, 2010 8:07 pm    Post subject: Reply with quote

media-sound/phonon-vlc-9999 fails to emerge for me. I'm very interested in trying it since it's supposed to fix the bug that makes Amarok not advance to the next track when playing OGG files.

I'm using media-video/vlc-1.1.4

Error spewn:

Code:
Generating moc_avcapture.cpp                                                                                                               
/var/tmp/portage/media-sound/phonon-vlc-9999/work/phonon-vlc-9999/vlc/experimental/avcapture.h:45: Error: Undefined interface             
automoc4: process for /var/tmp/portage/media-sound/phonon-vlc-9999/work/phonon-vlc-9999_build/vlc/moc_avcapture.cpp failed: Unknown error
pid to wait for: 0


Is this a problem with the ebuild or has upstream got their things messed up? I've been trying ever since Friday.
_________________
http://www.last.fm/user/Biert/
Back to top
View user's profile Send private message
Biert
n00b
n00b


Joined: 14 Sep 2006
Posts: 45
Location: The Netherlands

PostPosted: Tue Oct 19, 2010 11:22 am    Post subject: Reply with quote

Upgrading phonon to media-sound/phonon-9999 fixed my problem.
_________________
http://www.last.fm/user/Biert/
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3, ... 19, 20, 21  Next
Page 2 of 21

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum